Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
k8s_cluster_pool_list = client.cloud.k8s.clusters.pools.list(
cluster_name="my-cluster",
project_id=1,
region_id=7,
)
print(k8s_cluster_pool_list.count)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
k8sClusterPoolList, err := client.Cloud.K8S.Clusters.Pools.List(
context.TODO(),
"my-cluster",
cloud.K8SClusterPoolListParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", k8sClusterPoolList.Count)
}curl --request GET \
--url https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v2/k8s/clusters/{project_id}/{region_id}/{cluster_name}/pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"auto_healing_enabled": true,
"boot_volume_size": 50,
"boot_volume_type": "ssd_hiiops",
"created_at": "2023-02-15T11:53:03+03:00",
"crio_config": {
"default-ulimits": "nofile=1024:2048"
},
"flavor_id": "g1-standard-1-2",
"id": "f01fd9a0-9548-48ba-82dc-a8c8b2d6f2f1",
"is_public_ipv4": true,
"kubelet_config": {
"podMaxPids": "4096"
},
"labels": {
"my-label": "foo"
},
"max_node_count": 10,
"min_node_count": 1,
"name": "test",
"node_count": 2,
"status": "Running",
"taints": {
"my-taint": "bar:NoSchedule"
},
"servergroup_id": "1772de21-f013-4b70-9f8f-a518985b3bc2",
"servergroup_name": "my-server-group",
"servergroup_policy": "anti-affinity"
}
]
}Managed Kubernetes
List k8s cluster pools
GET
/
cloud
/
v2
/
k8s
/
clusters
/
{project_id}
/
{region_id}
/
{cluster_name}
/
pools
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
k8s_cluster_pool_list = client.cloud.k8s.clusters.pools.list(
cluster_name="my-cluster",
project_id=1,
region_id=7,
)
print(k8s_cluster_pool_list.count)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
k8sClusterPoolList, err := client.Cloud.K8S.Clusters.Pools.List(
context.TODO(),
"my-cluster",
cloud.K8SClusterPoolListParams{
ProjectID: gcore.Int(1),
RegionID: gcore.Int(7),
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", k8sClusterPoolList.Count)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Cluster name
Example:
"my-cluster"
Was this page helpful?
⌘I